GraphicsMagick

- Home
- Project
- Download
- Install
- Source
- News
- Utilities
- Programming
- Reference

# animate

Interactively animate an image sequence

# MagickXAnimateBackgroundImage

## Synopsis

    void MagickXAnimateBackgroundImage( Display *display, MagickXResourceInfo *resource_info,
                                        Image *images );

## Description

MagickXAnimateBackgroundImage() animates an image sequence in the background of a window.

The format of the MagickXAnimateBackgroundImage method is:

    void MagickXAnimateBackgroundImage( Display *display, MagickXResourceInfo *resource_info,
                                        Image *images );

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

images:

  The image list.

# MagickXAnimateImages

## Synopsis

    Image *MagickXAnimateImages( Display *display, MagickXResourceInfo *resource_info,
                                 char ** argv, const int argc, Image *images );

## Description

MagickXAnimateImages() displays an image via X11.

The format of the MagickXAnimateImages method is:

    Image *MagickXAnimateImages( Display *display, MagickXResourceInfo *resource_info,
                                 char ** argv, const int argc, Image *images );

display:

  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:

  Specifies a pointer to a X11 MagickXResourceInfo structure.

argv:

  Specifies the application's argument list.

argc:

  Specifies the number of arguments.

images:

  The image list.

Copyright © GraphicsMagick Group 2002-2026